extends "res://scenes/levels/level.gd"

const INTERLUDE = "res://scenes/levels/02/interlude_02.tscn"

# Declare member variables here. Examples:
# var a = 2
# var b = "text"


# Called when the node enters the scene tree for the first time.
func _ready():
	$FlakeAnimation.play("reset")


# Called every frame. 'delta' is the elapsed time since the previous frame.
#func _process(delta):
#	pass


func _on_Castle_player_entered_castle():
	$FlakeAnimation.play("move")

func _on_FlakeAnimation_finished(anim_name):
	if anim_name == "move":
		main.load_level(INTERLUDE, true)
